package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcContractWorkMapper;
import com.ruoyi.oa.domain.CmcContractWork;
import com.ruoyi.oa.service.ICmcContractWorkService;

/**
 * cmc合同内容Service业务层处理
 * 
 * @author cmc
 * @date 2024-03-15
 */
@Service
public class CmcContractWorkServiceImpl implements ICmcContractWorkService 
{
    @Autowired
    private CmcContractWorkMapper cmcContractWorkMapper;

    /**
     * 查询cmc合同内容
     * 
     * @param workId cmc合同内容主键
     * @return cmc合同内容
     */
    @Override
    public CmcContractWork selectCmcContractWorkByWorkId(String workId)
    {
        return cmcContractWorkMapper.selectCmcContractWorkByWorkId(workId);
    }

    /**
     * 查询cmc合同内容列表
     * 
     * @param cmcContractWork cmc合同内容
     * @return cmc合同内容
     */
    @Override
    public List<CmcContractWork> selectCmcContractWorkList(CmcContractWork cmcContractWork)
    {
        return cmcContractWorkMapper.selectCmcContractWorkList(cmcContractWork);
    }

    /**
     * 新增cmc合同内容
     * 
     * @param cmcContractWork cmc合同内容
     * @return 结果
     */
    @Override
    public int insertCmcContractWork(CmcContractWork cmcContractWork)
    {
        return cmcContractWorkMapper.insertCmcContractWork(cmcContractWork);
    }

    /**
     * 修改cmc合同内容
     * 
     * @param cmcContractWork cmc合同内容
     * @return 结果
     */
    @Override
    public int updateCmcContractWork(CmcContractWork cmcContractWork)
    {
        return cmcContractWorkMapper.updateCmcContractWork(cmcContractWork);
    }

    /**
     * 批量删除cmc合同内容
     * 
     * @param workIds 需要删除的cmc合同内容主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractWorkByWorkIds(String[] workIds)
    {
        return cmcContractWorkMapper.deleteCmcContractWorkByWorkIds(workIds);
    }

    /**
     * 删除cmc合同内容信息
     * 
     * @param workId cmc合同内容主键
     * @return 结果
     */
    @Override
    public int deleteCmcContractWorkByWorkId(String workId)
    {
        return cmcContractWorkMapper.deleteCmcContractWorkByWorkId(workId);
    }
}
